package com.example.tdl.mapper;

import com.example.tdl.domain.vo.CircuitTermVo;
import com.example.tdl.domain.vo.ResultCircuitVo;
import com.example.tdl.domain.vo.ResultRouteVo;
import com.example.tdl.domain.vo.UpdateCircuitVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface CircuitMapper {
    List<ResultCircuitVo> getAll();

    List<ResultCircuitVo> getByTerm(CircuitTermVo circuitTermVo);

    int addCircuit(Map<Object,Object> map);

    int updateCircuit(Map<Object,Object> map);

    int updateEndTime(UpdateCircuitVo updateCircuitVo);

    int delCircuit(String transportationNo);

    ResultCircuitVo getByTransportationNo(String transportation);
}
