package com.example.tdl.mapper;


import com.example.tdl.domain.vo.ResultRouteVo;
import com.example.tdl.domain.vo.RouteTermVo;
import com.example.tdl.entity.Route;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface RouteMapper {

    List<ResultRouteVo> getAll();

    List<ResultRouteVo> getRouteByTerm(RouteTermVo routeTermVo);

    int addRoute(Map<Object,Object> map);

    int delRoute(String routeNumber);

    int getByRouteNumber(String routeNumber);

    ResultRouteVo getInfoByRouteNumber(String routeNumber);

    ResultRouteVo getInfoByRouteName(String routeName);

//    List<ResultRouteVo> getAllRoute(String time);

    //    int updateRoute(Route route);
}
