package com.example.tdl.service;

import com.example.tdl.domain.vo.ConfigVo;
import com.example.tdl.mapper.ConfigMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ConfigService {

    @Autowired
    private ConfigMapper configMapper;

    //绑定getway和tdl
    public int addConfig(ConfigVo configVo){
        return configMapper.addConfig(configVo);
    }


    //获取绑定的数据信息
    public ConfigVo getConfig(String gSN,String gType){
        return  configMapper.getConfig(gSN,gType);
    }

    //绑定成功
    public int bindiSuccess(String gSN,String gType,Integer resp){
        return  configMapper.bindiSuccess(gSN,gType,resp);
    }

    //解绑getWay和tdl
    public int updateConfig(String gSN,String gType,Boolean untie ){
        return configMapper.updateConfig(gSN,gType,untie);
    }

    //解绑成功
    public int delConfig(String gSN,String gType){
        return configMapper.delConfig(gSN,gType);
    }
}
